using System;
using Unit4.CollectionsLib;
using Unit4.UtilsLib;
using System.Text;

namespace ConsoleApplicationMyString
{
    class MyString
    {
        private String myString;
        public MyString()
        {
            this.myString = "";
        }
        public MyString(String str)
        {
            this.myString = str;
        }
        public void Append(String str)
        {
            this.myString += str;
        }
        public int Remove(char ch)
        {
            int startIndex;
            int numRemoveChar = 0;
            startIndex = this.myString.IndexOf(ch);
            while (startIndex != -1)
            {
                this.myString = this.myString.Remove(startIndex, 1);
                numRemoveChar++;
                startIndex = this.myString.IndexOf(ch);
            }
            return numRemoveChar;
        }
        // Replaces all occurrences of a specified String s1 in this instance,
        // with another specified String s2. 
        public void Replace(String s1, String s2)
        {
            this.myString = this.myString.Replace(s1, s2);
        }
        public int Length()
        {
            return this.myString.Length;
        }
        public char GetCharAt(int index)
        {
            return char.Parse(this.myString.Substring(index, 1));
        }
        public void SetCharAt(int index, char ch)
        {
            this.myString = this.myString.Remove(index, 1);
            this.myString = this.myString.Insert(index, ch.ToString());
            
        }
        public override string ToString()
        {
            return this.myString;
        }

    }
}
